package com.njcn.device.pms.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * pqs
 *
 * @author cdf
 * @date 2023/2/23
 */
@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
public @interface TerminalOperationLogDesc {

    String value();
    /**
     * 操作模块 0.电站 1.装置 2.线路 3.台区 4.发电用户 5.用电用户 6.主网监测点 7.配网监测点
     */
    int module();

    /**
     * 操作事件
     */
    String events() default "";
}
